#include <avr/io.h>
#include <util/delay.h>
#include <avr/wdt.h>
#include "lcd.h"
#include "keyb.h"

int main(void) {
	wdt_enable(WDTO_120MS);
	keybInit();
	lcdInit();
	lcdInitPrintf();
	printf("Reset!");
	while(1){
		uint8_t key = 0;
		while (!(key = readKeyboard())) {
			wdt_reset();
		}
		while (readKeyboard()) {
			wdt_reset();
		}
		lcdWriteCommand(LCD_COMMAND_CLEAR);
		printf("%d", key);
		if (key == 16) {
			_delay_ms(250);
		}
	}
}
